Notes From Below
================

Django site for managing an online publication.

## Setup

Before running pip install make sure the following packages are installed:
* postgresql-devel (libpq-dev in Debian/Ubuntu, libpq-devel on Centos/Fedora/Cygwin/Babun.)
* libjpeg (libjpeg-dev, zlib1g-dev)

On a Debian/Ubuntu system run:
```bash
sudo apt install libpq-dev libjpeg-dev zlib1g-dev
```

Within a virtualenv, run the following commands, in order:

```bash
pip install -r requirements.txt
cd django
python3 manage.py makemigrations journal cms uploads
python3 manage.py migrate
python3 manage.py createsuperuser
python3 manage.py loaddata initial_fixtures.json
```

Finally:

`python3 manage.py runserver`

You can find the admin interface at <http://localhost:8000/sudo/> (for the
superuser) or <http://localhost:8000/editor/> (the link to give to editors).
You can create users with editor permissions via the /sudo/ admin site:
set `is_staff` to True, and give them any necessary permissions (there will
be a permission group eventually, but for now you'll have to select them
manually).

None of the links in the menu will work. You'll have to create the 4 categories
(under the journal app) and the 2 pages (under the cms app).

## Deploying in production

To deploy in production with Postgres, a custom secret key, and DEBUG=False,
set the following environment variables within the virtualenv:

* `POSTGRES_PASSWORD`: the password for PostgreSQL
* `DJANGO_SECRET_KEY`: the `SECRET_KEY` used by Django (set to a random string)
* `ALLOWED_HOST`: e.g., 'notesfrombelow.org'
